Regenerate Oidc Relying Party Secret
Regenerate the client secret of an OIDC relying party.
Regenerates the client secret of an OIDC relying party.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties/{id}/regenerateSecret
COPY
Path Parameters
string
id
Required
OIDC relying party's ID
Responses
200
OK
Returns
OidcRelyingParty
of type(s)
application/json;version=9.1.1
{
"id": "string",
"clientId": "string",
"clientName": "string",
"clientSecret": "string",
"redirectUris": [
"string"
],
"scope": [
"string"
],
"isPublic": false,
"isPkceEnabled": false,
"isGlobal": false,
"orgEntityRef": {
"name": "string",
"id": "string"
}
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Classic"},{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties/{id}/regenerateSecret
Availability
Added in 37.2
On This Page
Oidc Relying Party Operations
GET
Query Oidc Relying Parties
POST
Register Oidc Relying Party
GET
Get Oidc Relying Party
PUT
Update Oidc Relying Party
DELETE
Delete Oidc Relying Party
POST
Regenerate Oidc Relying Party Secret